#################################################
#
#  (C) 2012 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kdeaccountsplugin.desktop
  DESTINATION ${DATA_INSTALL_DIR}/tdeabc/formats
)


##### tdeabcformat_kdeaccounts (module) ###########

tde_add_kpart( tdeabcformat_kdeaccounts
  SOURCES kdeaccountsformat.cpp
  LINK tdeabc-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
